Page MenuHomePhabricator

Add draft namespace creations to page creation dashboard
Closed, ResolvedPublic

Description

It would be great to also have a visualization of the number of page creations in the Draft space added to our Page Creation dashboard.

I'll submit a patch of the report updater configuration with a SQL query to count draft creations, then update the metrics and dashboard configuration.

Event Timeline

Nettrom created this task.Sep 20 2017, 11:24 PM
Restricted Application added a project: Analytics. · View Herald TranscriptSep 20 2017, 11:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 379441 had a related patch set uploaded (by Nettrom; owner: Nettrom):
[analytics/reportupdater-queries@master] Add draft creation config and query

https://gerrit.wikimedia.org/r/379441

fdans moved this task from Incoming to Radar on the Analytics board.Sep 21 2017, 4:10 PM

Change 379441 merged by Nuria:
[analytics/reportupdater-queries@master] Add draft creation config and query

https://gerrit.wikimedia.org/r/379441

Nettrom closed this task as Resolved.Sep 27 2017, 9:58 PM
  1. Verified that the dataset of number of pages created is available in the correct dataset directory.
  2. Added metric for number of pages created in the Draft namespace to Dashiki:CategorizedMetrics in this edit.
  3. Added metric to Config:Dashiki:PageCreations in this edit.
  4. Verified that the metric is now available, it can be viewed here.
Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:44 AM